package http

import (
	benefactor "git.gocasts.ir/ebhomengo/niki/benefactorapp/service"
	"net/http"

	"github.com/labstack/echo/v4"
)

type Handler struct {
	BebefactorService benefactor.Service
}

func NewHandler(bService benefactor.Service) *Handler {
	return &Handler{
		BebefactorService: bService,
	}
}

func (h Handler) HealthCheck(c echo.Context) error {
	return c.JSON(http.StatusOK, map[string]string{"status": "ok"})
}
